Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.utils.zip
Class ZipWrapper

    java.lang.Object
      fr.gouv.culture.sdx.utils.zip.ZipWrapper

    public class ZipWrapper

extends java.lang.Object

Author:
  jlecren Have some useful feature about zip files

Constructor Summary
`ZipWrapper()`

Method Summary
`void` | `unzipDirectory(java.lang.String input_file_path, java.lang.String unzip_dir)`
`void` | `zipDirectory(java.lang.String output_file_path, java.lang.String dir2zip)` Zip dir2zip in output_file_path
`void` | `zipDirectory(java.util.zip.ZipOutputStream output, java.lang.String base_dir, java.lang.String relative_path)` Zip a directory in the file system
`static void` | `zipFile(java.util.zip.ZipOutputStream output, java.lang.String base_dir, java.lang.String relative_path, java.lang.String file_name)` Zip a file in the file system

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZipWrapper

    public ZipWrapper()

Method Detail

### zipDirectory

    public void zipDirectory(java.lang.String output_file_path,
                             java.lang.String dir2zip)
                      throws SDXException

  Zip dir2zip in output_file_path

  Parameters:
    `output_file_path` -
    `dir2zip` -
  Throws:
    `SDXException`

### unzipDirectory

    public void unzipDirectory(java.lang.String input_file_path,
                               java.lang.String unzip_dir)
                        throws SDXException

  Throws:
    `SDXException`

### zipDirectory

    public void zipDirectory(java.util.zip.ZipOutputStream output,
                             java.lang.String base_dir,
                             java.lang.String relative_path)
                      throws SDXException

  Zip a directory in the file system

  Parameters:
    `output` -
    `base_dir` -
    `relative_path` -
    `file_name` -
  Throws:
    `SDXException`

### zipFile

    public static void zipFile(java.util.zip.ZipOutputStream output,
                               java.lang.String base_dir,
                               java.lang.String relative_path,
                               java.lang.String file_name)
                        throws SDXException

  Zip a file in the file system

  Parameters:
    `output` -
    `base_dir` -
    `relative_path` -
    `file_name` -
  Throws:
    `SDXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.